<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">PWM Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classPWM.html">PWM</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classPWM.html#a7d6403597b936f73be3a53b330d15f52">getDuty</a>()</td><td class="entry"><a class="el" href="classPWM.html">PWM</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classPWM.html#a70e2e1ad7736f241eef020ec4c7e7fff">getFrequency</a>()</td><td class="entry"><a class="el" href="classPWM.html">PWM</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPWM.html#aa26673999e30f8cd236b3cc3b1f890bd">PWM</a>(int gpioNum, uint32_t frequency=100, ledc_timer_bit_t bitSize=LEDC_TIMER_10_BIT, ledc_timer_t timer=LEDC_TIMER_0, ledc_channel_t channel=LEDC_CHANNEL_0)</td><td class="entry"><a class="el" href="classPWM.html">PWM</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classPWM.html#adae9be9a8c34c42d0f81dd0b4a24c14f">setDuty</a>(uint32_t duty)</td><td class="entry"><a class="el" href="classPWM.html">PWM</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPWM.html#ab2a9dd4cbe6349d420eef610e8909011">setDutyPercentage</a>(uint8_t percent)</td><td class="entry"><a class="el" href="classPWM.html">PWM</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classPWM.html#a51543c5bf29d9f3ae83c7f5af176895d">setFrequency</a>(uint32_t freq)</td><td class="entry"><a class="el" href="classPWM.html">PWM</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPWM.html#a839027de87bbee57a3dabe21d254d892">stop</a>(bool idleLevel=false)</td><td class="entry"><a class="el" href="classPWM.html">PWM</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
